Subject: bug#45821: Emacs UDP support on Windows

From: Alex Matei <[email-masked]>
Date: Sat, 28 Jan 2023 21:17:55 +0000

Okay,

So the best avenue we have right now is trying to build emacs for x86 and see if that can run the tests successfully?

To achieve this, I imagine I just need to replace w64 to w32 in the build process?

  ./configure \
      --host=x86_64-w64-mingw32 \
      --target=x86_64-w64-mingw32 \
      --build=x86_64-w64-mingw32 \

Thanks,
Alex
Sent from Mail<https://go.microsoft.com/fwlink/?LinkId=550986> for Windows

From: Robert Pluim<mailto:[email-masked]>
Sent: Thursday, January 12, 2023 5:28 AM
To: Eli Zaretskii<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: bug#45821: Emacs UDP support on Windows

>>>>> On Thu, 12 Jan 2023 14:25:18 +0200, Eli Zaretskii <[email-masked]> said:

    >> From: Robert Pluim <[email-masked]>
    >> Cc: [email-masked],  [email-masked]
    >> Date: Thu, 12 Jan 2023 12:18:51 +0100
    >>
    >> Perhaps I should build a 32-bit emacs with MSYS instead of a 64bit one
    >> with MSYS2

    Eli> Why would that change anything?  Are you saying that the 32-bit build
    Eli> of gnutls-serv doesn't crash?

I have no idea, it’s wild speculation.

Robert
--